/*
 * Click nbfs://nbhost/SystemFileSystem/Templates/Licenses/license-default.txt to change this license
 */
package com.jcg.xmltransformationexample;

import java.io.InputStream;
import javax.xml.transform.Transformer;
import javax.xml.transform.TransformerException;
import javax.xml.transform.TransformerFactory;
import javax.xml.transform.stream.StreamResult;
import javax.xml.transform.stream.StreamSource;

/**
 *
 * @author omozegieaziegbe
 */
public class XMLTransformationExample {

    public static void main(String[] args) {
        try {

            // Load the XML input file using the ClassLoader
            InputStream xmlInputFile = XMLTransformationExample.class.getClassLoader().getResourceAsStream("library.xml");

            // Load XSLT stylesheet
            InputStream xsltStylesheet = XMLTransformationExample.class.getClassLoader().getResourceAsStream("library.xsl");

            // Create a TransformerFactory
            TransformerFactory transformerFactory = TransformerFactory.newInstance();

            // Create a Transformer based on the XSLT stylesheet
            Transformer transformer = transformerFactory.newTransformer(new StreamSource(xsltStylesheet));

            // Perform the transformation and generate the output System.out
            //transformer.transform(new StreamSource(xmlInputFile), new StreamResult(System.out));
            transformer.transform(new StreamSource(xmlInputFile), new StreamResult("output.html"));

            System.out.println("Transformation completed successfully.");

        } catch (TransformerException e) {
            System.err.println("Transformation error: " + e.getMessage());
            e.printStackTrace();
        }
    }
}
